gl_printf(3)

NAME
gl_printf - write formatted output in graphic mode

SYNOPSIS
#include <vgagl.h> int gl_printf(int x, int y, const char *fmt, ...);

DESCRIPTION
gl_printf writes, like printf(3) a formatted string to position (x, y) using the currently selected font. If one or both of x and y is negative, the text printing continues at the last position. The special characters \b, \r, \n, \a, \t and \v have the usual effects. Printing wraps at the screen borders. Nevertheless, behaviour is undefined if not a single characters fits on the screen or if the initial position is outside the screen. The kind of text draw operation is set with gl_setwritemode(3). BEWARE! Prior to the of use of gl_printf(3) you must set a font. A good default initialization sequence is: gl_setfont(8, 8, gl_font8x8);
gl_setwritemode(FONT_COMPRESSED + WRITEMODE_OVERWRITE);
gl_setfontcolors(0, vga_white());

RETURN VALUE
The number of characters printed.

BUGS
For compatibility reasons this function is not contained in a.out libraries.

SEE ALSO
printf(3), svgalib(7), vgagl(7), gl_colorfont(3), gl_expandfont(3), gl_font8x8(3), gl_setfont(3), gl_setfontcolors(3), gl_setwritemode(3), gl_write(3), gl_writechar(3), printftest(6).

AUTHOR
This function and manual page was written by Trek <trek00@freenet.hut.fi> <trek@mediaservice.net>.